PHP kézikönyv
Előző |  | Következő

# finfo_buffer

(PECL)

finfo_buffer -- Return information about a string buffer

## Leírás

string finfo_buffer ( resource finfo, string string [, int options] )
class finfo {
string buffer ( string string [, int options] )
}

This function is used to get information about binary data in a string.

## Paraméterek

finfo

  Fileinfo resource returned by finfo_open().

string

  Content of a file to be checked.

options

  One or disjunction of more Fileinfo constants.

## Visszatérési értékek

Returns a textual description of the string argument, or `FALSE` if an error occurred.

## Példák

Példa 1. A finfo_buffer() example

`<?php $finfo = new finfo(FILEINFO_MIME); echo $finfo->buffer($_POST["script"]) . "\n"; ?>`

A fenti példa valami ilyesmi kimenetet ad:

    application/x-sh

## Lásd még

finfo_file()

Előző | Tartalom | Következő
Fileinfo Functions | Fel | finfo_close